# Visualization
TKV3d
Graphic3d

# Graphic3d_Array2OfVertexNC Class Reference

`#include <Graphic3d_Array2OfVertexNC.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Graphic3d_Array2OfVertexNC (const Standard_Integer R1, const Standard_Integer R2, const Standard_Integer C1, const Standard_Integer C2)
Standard_EXPORT | Graphic3d_Array2OfVertexNC (const Graphic3d_VertexNC &Item, const Standard_Integer R1, const Standard_Integer R2, const Standard_Integer C1, const Standard_Integer C2)
Standard_EXPORT void | Init (const Graphic3d_VertexNC &V)
Standard_EXPORT void | Destroy ()
| ~Graphic3d_Array2OfVertexNC ()
Standard_EXPORT const Graphic3d_Array2OfVertexNC & | Assign (const Graphic3d_Array2OfVertexNC &Other)
const Graphic3d_Array2OfVertexNC & | operator= (const Graphic3d_Array2OfVertexNC &Other)
Standard_Integer | ColLength () const
Standard_Integer | RowLength () const
Standard_Integer | LowerCol () const
Standard_Integer | LowerRow () const
Standard_Integer | UpperCol () const
Standard_Integer | UpperRow () const
void | SetValue (const Standard_Integer Row, const Standard_Integer Col, const Graphic3d_VertexNC &Value)
const Graphic3d_VertexNC & | Value (const Standard_Integer Row, const Standard_Integer Col) const
const Graphic3d_VertexNC & | operator() (const Standard_Integer Row, const Standard_Integer Col) const
Graphic3d_VertexNC & | ChangeValue (const Standard_Integer Row, const Standard_Integer Col)
Graphic3d_VertexNC & | operator() (const Standard_Integer Row, const Standard_Integer Col)

## Private Member Functions

Standard_EXPORT | Graphic3d_Array2OfVertexNC (const Graphic3d_Array2OfVertexNC &AnArray)
Standard_EXPORT void | Allocate ()

## Private Attributes

Standard_Integer | myLowerRow
Standard_Integer | myLowerColumn
Standard_Integer | myUpperRow
Standard_Integer | myUpperColumn
Standard_Boolean | myDeletable
Standard_Address | myData

## Constructor & Destructor Documentation

Standard_EXPORT Graphic3d_Array2OfVertexNC::Graphic3d_Array2OfVertexNC | ( | const Standard_Integer | R1,
|  | const Standard_Integer | R2,
|  | const Standard_Integer | C1,
|  | const Standard_Integer | C2
| ) |

Standard_EXPORT Graphic3d_Array2OfVertexNC::Graphic3d_Array2OfVertexNC | ( | const Graphic3d_VertexNC & | Item,
|  | const Standard_Integer | R1,
|  | const Standard_Integer | R2,
|  | const Standard_Integer | C1,
|  | const Standard_Integer | C2
| ) |

Graphic3d_Array2OfVertexNC::~Graphic3d_Array2OfVertexNC | ( |  | ) | `[inline]`

Standard_EXPORT Graphic3d_Array2OfVertexNC::Graphic3d_Array2OfVertexNC | ( | const Graphic3d_Array2OfVertexNC & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT void Graphic3d_Array2OfVertexNC::Allocate | ( |  | ) | `[private]`

Standard_EXPORT const Graphic3d_Array2OfVertexNC& Graphic3d_Array2OfVertexNC::Assign | ( | const Graphic3d_Array2OfVertexNC & | Other | ) |

Graphic3d_VertexNC& Graphic3d_Array2OfVertexNC::ChangeValue | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) |

Standard_Integer Graphic3d_Array2OfVertexNC::ColLength | ( |  | ) | const

Standard_EXPORT void Graphic3d_Array2OfVertexNC::Destroy | ( |  | ) |

Standard_EXPORT void Graphic3d_Array2OfVertexNC::Init | ( | const Graphic3d_VertexNC & | V | ) |

Standard_Integer Graphic3d_Array2OfVertexNC::LowerCol | ( |  | ) | const

Standard_Integer Graphic3d_Array2OfVertexNC::LowerRow | ( |  | ) | const

void Graphic3d_Array2OfVertexNC::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Graphic3d_Array2OfVertexNC::operator new | ( | size_t | size | ) | `[inline]`

void* Graphic3d_Array2OfVertexNC::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Graphic3d_VertexNC& Graphic3d_Array2OfVertexNC::operator() | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) | `[inline]`

const Graphic3d_VertexNC& Graphic3d_Array2OfVertexNC::operator() | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) | const`[inline]`

const Graphic3d_Array2OfVertexNC& Graphic3d_Array2OfVertexNC::operator= | ( | const Graphic3d_Array2OfVertexNC & | Other | ) | `[inline]`

Standard_Integer Graphic3d_Array2OfVertexNC::RowLength | ( |  | ) | const

void Graphic3d_Array2OfVertexNC::SetValue | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col,
|  | const Graphic3d_VertexNC & | Value
| ) |

Standard_Integer Graphic3d_Array2OfVertexNC::UpperCol | ( |  | ) | const

Standard_Integer Graphic3d_Array2OfVertexNC::UpperRow | ( |  | ) | const

const Graphic3d_VertexNC& Graphic3d_Array2OfVertexNC::Value | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) | const

## Field Documentation

Standard_Address Graphic3d_Array2OfVertexNC::myData `[private]`

Standard_Boolean Graphic3d_Array2OfVertexNC::myDeletable `[private]`

Standard_Integer Graphic3d_Array2OfVertexNC::myLowerColumn `[private]`

Standard_Integer Graphic3d_Array2OfVertexNC::myLowerRow `[private]`

Standard_Integer Graphic3d_Array2OfVertexNC::myUpperColumn `[private]`

Standard_Integer Graphic3d_Array2OfVertexNC::myUpperRow `[private]`

The documentation for this class was generated from the following file:

- Graphic3d_Array2OfVertexNC.hxx